<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hc.business.mapper.ZccmCourseChapterAnnexMapper">

    <resultMap type="zccmcourseChapterAnnex" id="CourseChapterAnnexMap">
        <result property="courseChapterAnnexId" column="course_chapter_annex_id" jdbcType="INTEGER"/>
        <result property="annexName" column="annex_name" jdbcType="VARCHAR"/>
        <result property="courseChapterId" column="course_chapter_id" jdbcType="INTEGER"/>
        <result property="annexIntroduction" column="annex_introduction" jdbcType="VARCHAR"/>
        <result property="annexUrl" column="annex_url" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        course_chapter_annex_id,
           annex_name,
           course_chapter_id,
           annex_introduction,
           annex_url
    </sql>

</mapper>